<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSchedulerWebForm.aspx.cs"
    Inherits="RadSchedulerWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript">
          
            function nodeDropping(sender, eventArgs) {
                // Fired when the user drops a TreeView node
                var node = eventArgs.get_sourceNode();
                var text = node.get_text();

                var htmlElement = eventArgs.get_htmlElement();
                var scheduler = $find('<%= RadScheduler1.ClientID %>');

                if (isPartOfSchedulerAppointmentArea(htmlElement)) {

                   
                    var timeSlot = scheduler.get_activeModel().getTimeSlotFromDomElement(htmlElement)

                    // The node was dropped over the scheduler appointment area
                    if (htmlElement.className == "rsAptContent") {
                        var app = scheduler.getAppointmentFromDomElement(htmlElement);
                        var schedulerResources = app.get_radScheduler().get_resources();
                        var resourcesOfThisType = schedulerResources.getResourcesByType("User");

                        app.get_resources().removeResourcesByType("User");
                        app.get_resources().add(resourcesOfThisType.getResource(node.get_value()-1));
                       
                        scheduler.updateAppointment(app, false);
                    }               
                }
                else {
                    // The node was dropped elsewhere on the document
                    eventArgs.set_cancel(true);
                }
            }
            function isPartOfSchedulerAppointmentArea(htmlElement) {
                // Determines if an html element is part of the scheduler appointment area
                // This can be either the rsContent or the rsAllDay div (in day and week view)
                return $telerik.$(htmlElement).parents().is("div.rsAllDay") ||
                         $telerik.$(htmlElement).parents().is("div.rsContent")  
            }
            //     $telerik.$(htmlElement).parents().is(" div.rsAptContent")
        </script>
    </telerik:RadScriptBlock>
   
    <telerik:RadTreeView ID="RadTreeView1" runat="server" EnableDragAndDrop="True" OnClientNodeDropping="nodeDropping">
        <Nodes>
            <telerik:RadTreeNode runat="server" Value="1" Text="Alex">
            </telerik:RadTreeNode>
            <telerik:RadTreeNode runat="server" Value="2" Text="Bob">
            </telerik:RadTreeNode>
            <telerik:RadTreeNode runat="server" Value="3" Text="Charlie">
            </telerik:RadTreeNode>
        </Nodes>
        <CollapseAnimation Duration="100" Type="OutQuint" />
        <ExpandAnimation Duration="100" />
    </telerik:RadTreeView>
    
    <br />
    <br />
    <telerik:RadScheduler runat="server" ID="RadScheduler1" StartInsertingInAdvancedForm="true"
 
        EnableDescriptionField="true" 
        onappointmentinsert="RadScheduler1_AppointmentInsert">
        <AppointmentTemplate>
        <%#Eval("Subject") %> 
        <hr />
        Assigned to:  <%#Container.Appointment.Resources.GetResourceByType("User").Text%>
        </AppointmentTemplate>
        <AdvancedForm Modal="true" />
    </telerik:RadScheduler>
    </form>
</body>
</html>
